Create Document Lock
A document lock is analogous to checking out a document but without the file attached in the response for download.
POST
/api/{version}/objects/documents/{doc_id}/lockHeaders
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{doc_id} | The document id field value. |
Request
Section link for Requestcurl -X POST -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v19.1/objects/documents/534/lockResponse
Section link for Response{
"responseStatus": "SUCCESS",
"responseMessage": "Document successfully checked out."
}Response Details
Section link for Response DetailsOn SUCCESS, Vault locks the document and other users are not allowed to lock (check-out) the document.